(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common')) :
	typeof define === 'function' && define.amd ? define(['exports', '@angular/core', '@angular/common'], factory) :
	(factory((global['viseo-rating'] = {}),global.ng.core,global.ng.common));
}(this, (function (exports,core,common) { 'use strict';

var RatingComponent = (function () {
    function RatingComponent() {
        this.numberOfStars = 0;
    }
    /**
     * @return {?}
     */
    RatingComponent.prototype.ngOnInit = function () {
    };
    /**
     * @return {?}
     */
    RatingComponent.prototype.getNumberOfStars = function () {
        return Array(parseInt(this.numberOfStars + '', 10) || 0);
    };
    return RatingComponent;
}());
RatingComponent.decorators = [
    { type: core.Component, args: [{
                selector: 'app-rating',
                template: "\n    <span class=\"rating\">\n      <span *ngFor=\"let i of getNumberOfStars()\"><strong>\u2605</strong></span>\n    </span>\n  ",
                styles: ["\n    .rating {\n      color: #F3AC19;\n    }\n  "]
            },] },
];
/**
 * @nocollapse
 */
RatingComponent.ctorParameters = function () { return []; };
RatingComponent.propDecorators = {
    'numberOfStars': [{ type: core.Input },],
};
var RatingModule = (function () {
    function RatingModule() {
    }
    return RatingModule;
}());
RatingModule.decorators = [
    { type: core.NgModule, args: [{
                imports: [
                    common.CommonModule
                ],
                declarations: [RatingComponent],
                exports: [RatingComponent],
            },] },
];
/**
 * @nocollapse
 */
RatingModule.ctorParameters = function () { return []; };

exports.RatingModule = RatingModule;
exports.RatingComponent = RatingComponent;

Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=viseo-rating.umd.js.map
